<!-- Generator: GNU source-highlight 2.4
by Lorenzo Bettini
http://www.lorenzobettini.it
http://www.gnu.org/software/src-highlite -->
<pre><tt>#
#
# add_file "packages/binutils/binutils-2.17/binutils-2.17.atmel.1.2.6.patch.bz2"
#  content [61afa951e7c1dbe064e1134cfd7c2c4e9f919fb7]

# add_file "packages/gcc/gcc-4.2.2/901-avr32-no-cond-exec-before-reload-by-default.patch"
#  content [a993a533b9e9b03a015aae1cbf427aa4e7f323e7]

# add_file "packages/gcc/gcc-4.2.2/gcc-4.2.2.atmel.1.0.8.patch.bz2"
#  content [65d3733847d1b916ba3fafcf88127711a6fec8ba]

# patch "conf/distro/angstrom-2008.1.conf"
#  from [6f251e8e8c830f7c3e1ebbed08e46a6c642556d9]
#    to [dd2138b465f663603f99ce6be674dfd46af8c33f]

# patch "conf/distro/include/angstrom-uclibc.inc"
#  from [bd467a8983d81901f98163052c0537bbf2909f15]
#    to [ed3615a8cce5b329c1b4354ca91a98190a64f862]

# patch "packages/binutils/binutils.inc"
#  from [f448bed26fe1742f47791f2fa478603cc6c038b5]
#    to [ec08872ebf090adf38f8ae73969a35b3cf0f98ae]

# patch "packages/binutils/binutils_2.17.bb"
#  from [22565b10082a0e16f29e89a55311c299acbc31c1]
#    to [99e9c269f46aafaced069158eb736ec2b3c100b9]

# patch "packages/gcc/gcc-4.2.2.inc"
#  from [e1a01a5ff03489319241b841ece209ab4fdcbc72]
#    to [6281a032714b397b43955b47208a1dd89efdd74b]

# patch "packages/gdb/gdb-cross.inc"
#  from [f22b5bdf741d9b9ce7a69086a1b6ff8dc8383420]
#    to [fc0d500641c93bb88bc035f650bb82fd9a102324]

#   set "packages/binutils/binutils-2.17/binutils-2.17.atmel.1.2.6.patch.bz2"
#  attr "mtn:manual_merge"
# value "true"

#   set "packages/gcc/gcc-4.2.2/gcc-4.2.2.atmel.1.0.8.patch.bz2"
#  attr "mtn:manual_merge"
# value "true"
#
============================================================
# packages/binutils/binutils-2.17/binutils-2.17.atmel.1.2.6.patch.bz2 is binary
============================================================
<font color="#FF6600">--- packages/gcc/gcc-4.2.2/901-avr32-no-cond-exec-before-reload-by-default.patch        a993a533b9e9b03a015aae1cbf427aa4e7f323e7</font>
<font color="#009900">+++ packages/gcc/gcc-4.2.2/901-avr32-no-cond-exec-before-reload-by-default.patch        a993a533b9e9b03a015aae1cbf427aa4e7f323e7</font>
<font color="#0000FF">@@ -0,0 +1,13 @@</font>
<font color="#009900">+Index: gcc-4.2.2/gcc/config/avr32/avr32.c</font>
<font color="#009900">+===================================================================</font>
<font color="#009900">+--- gcc-4.2.2.orig/gcc/config/avr32/avr32.c        2008-04-08 10:42:47.000000000 +0200</font>
<font color="#009900">++++ gcc-4.2.2/gcc/config/avr32/avr32.c        2008-04-08 10:43:33.000000000 +0200</font>
<font color="#009900">+@@ -161,7 +161,7 @@</font>
<font color="#009900">+ /* Set default target_flags. */</font>
<font color="#009900">+ #undef TARGET_DEFAULT_TARGET_FLAGS</font>
<font color="#009900">+ #define TARGET_DEFAULT_TARGET_FLAGS \</font>
<font color="#009900">+-  (MASK_HAS_ASM_ADDR_PSEUDOS | MASK_MD_REORG_OPTIMIZATION | MASK_COND_EXEC_BEFORE_RELOAD)</font>
<font color="#009900">++  (MASK_HAS_ASM_ADDR_PSEUDOS | MASK_MD_REORG_OPTIMIZATION)</font>
<font color="#009900">+ </font>
<font color="#009900">+ void </font>
<font color="#009900">+ avr32_optimization_options (int level,</font>
============================================================
# packages/gcc/gcc-4.2.2/gcc-4.2.2.atmel.1.0.8.patch.bz2 is binary
============================================================
<font color="#FF6600">--- conf/distro/angstrom-2008.1.conf        6f251e8e8c830f7c3e1ebbed08e46a6c642556d9</font>
<font color="#009900">+++ conf/distro/angstrom-2008.1.conf        dd2138b465f663603f99ce6be674dfd46af8c33f</font>
<font color="#0000FF">@@ -119,11 +119,11 @@ require conf/distro/include/preferred-xo</font>
 require conf/distro/include/preferred-e-versions.inc
 require conf/distro/include/preferred-xorg-versions-X11R7.3.inc
 
<font color="#FF6600">-#avr32 only has patches for binutils 2.17 and gcc 4.2.1 in OE</font>
<font color="#FF6600">-PREFERRED_VERSION_gcc_avr32               = "4.2.1"</font>
<font color="#FF6600">-PREFERRED_VERSION_gcc-cross_avr32         = "4.2.1"</font>
<font color="#FF6600">-PREFERRED_VERSION_gcc-cross-sdk_avr32     = "4.2.1"</font>
<font color="#FF6600">-PREFERRED_VERSION_gcc-cross-initial_avr32 = "4.2.1"</font>
<font color="#009900">+#avr32 only has patches for binutils 2.17 and gcc 4.2.2 in OE</font>
<font color="#009900">+PREFERRED_VERSION_gcc_avr32               = "4.2.2"</font>
<font color="#009900">+PREFERRED_VERSION_gcc-cross_avr32         = "4.2.2"</font>
<font color="#009900">+PREFERRED_VERSION_gcc-cross-sdk_avr32     = "4.2.2"</font>
<font color="#009900">+PREFERRED_VERSION_gcc-cross-initial_avr32 = "4.2.2"</font>
 PREFERRED_VERSION_binutils_avr32 = "2.17"
 PREFERRED_VERSION_binutils-cross_avr32 = "2.17"
 PREFERRED_VERSION_binutils-cross-sdk_avr32 = "2.17"
============================================================
<font color="#FF6600">--- conf/distro/include/angstrom-uclibc.inc        bd467a8983d81901f98163052c0537bbf2909f15</font>
<font color="#009900">+++ conf/distro/include/angstrom-uclibc.inc        ed3615a8cce5b329c1b4354ca91a98190a64f862</font>
<font color="#0000FF">@@ -16,8 +16,15 @@ BUILD_OPTIMIZATION = "-Os"</font>
 BUILD_OPTIMIZATION = "-Os"
 
 #Gcc will die with 'internal consistency error when using the above optimizations
<font color="#FF6600">-FULL_OPTIMIZATION_avr32 = ""</font>
<font color="#FF6600">-BUILD_OPTIMIZATION_avr32 = ""</font>
<font color="#009900">+#with gcc-4.2.1-atmel.1.0.3 (and probably most other avr32 gcc ports).</font>
<font color="#009900">+#However, some packages require optimizations to compile (e.g. libmad).</font>
<font color="#009900">+#It appears the guilty optimization is "-frename-registers", leaving that one </font>
<font color="#009900">+#out allows the build to proceed normally.  -fexpensive-optimizations may be OK,</font>
<font color="#009900">+#it was removed while debugging an issue that ultimately turned out to be due</font>
<font color="#009900">+#to the ICE fixed by gcc-pr32889.patch.  It needs to be tested again. </font>
<font color="#009900">+#Note that this testing was done without the gcc-pr32889.patch.</font>
<font color="#009900">+FULL_OPTIMIZATION_avr32 = "-Os -fomit-frame-pointer"</font>
 
<font color="#009900">+</font>
 CXXFLAGS += "-fvisibility-inlines-hidden"
 
============================================================
<font color="#FF6600">--- packages/binutils/binutils.inc        f448bed26fe1742f47791f2fa478603cc6c038b5</font>
<font color="#009900">+++ packages/binutils/binutils.inc        ec08872ebf090adf38f8ae73969a35b3cf0f98ae</font>
<font color="#0000FF">@@ -67,6 +67,11 @@ do_configure () {</font>
 
 do_configure () {
         (cd ${S}; gnu-configize) || die "Failed to run gnu-configize"
<font color="#009900">+</font>
<font color="#009900">+        # Fix for issues when system's texinfo version &gt;= 4.10</font>
<font color="#009900">+        # (See https://bugzilla.redhat.com/show_bug.cgi?id=345621)</font>
<font color="#009900">+        sed -i -e "s@egrep 'texinfo.*'@egrep 'texinfo[^0-9]*([1-3][0-9]|4\.[4-9]|4.[1-9][0-9]+|[5-9])'@" '${S}/configure'</font>
<font color="#009900">+</font>
         oe_runconf
 #
 # must prime config.cache to ensure the build of libiberty
============================================================
<font color="#FF6600">--- packages/binutils/binutils_2.17.bb        22565b10082a0e16f29e89a55311c299acbc31c1</font>
<font color="#009900">+++ packages/binutils/binutils_2.17.bb        99e9c269f46aafaced069158eb736ec2b3c100b9</font>
<font color="#0000FF">@@ -1,6 +1,7 @@ require binutils.inc</font>
 require binutils.inc
<font color="#009900">+require binutils-avr32.inc</font>
 
<font color="#FF6600">-PR = "r4"</font>
<font color="#009900">+PR = "r5"</font>
 
 SRC_URI = \
     "http://ftp.gnu.org/gnu/binutils/binutils-${PV}.tar.bz2 \
<font color="#0000FF">@@ -18,9 +19,14 @@ SRC_URI += "\</font>
         file://300-012_check_ldrunpath_length.patch;patch=1 \
         file://300-001_ld_makefile_patch.patch;patch=1 \
         file://400-mips-ELF_MAXPAGESIZE-4K.patch;patch=1 \
<font color="#FF6600">-        file://500-avr32-atmel.1.3.0.patch;patch=1 \</font>
<font color="#FF6600">-        file://501-avr32-fix-pool-alignment.patch;patch=1 \</font>
 "
<font color="#009900">+# removed in favor of the atmel 1.2.6 patch which is supposedly newer (yes)</font>
<font color="#009900">+#        file://500-avr32-atmel.1.3.0.patch;patch=1 \</font>
<font color="#009900">+#        file://501-avr32-fix-pool-alignment.patch;patch=1 \</font>
 
<font color="#009900">+SRC_URI_append_avr32 = "\</font>
<font color="#009900">+        file://binutils-2.17.atmel.1.2.6.patch.bz2;patch=1 \</font>
<font color="#009900">+"</font>
<font color="#009900">+</font>
 # Zecke's OSX fixes
 SRC_URI += " file://warning-free.patch;patch=1 "
============================================================
<font color="#FF6600">--- packages/gcc/gcc-4.2.2.inc        e1a01a5ff03489319241b841ece209ab4fdcbc72</font>
<font color="#009900">+++ packages/gcc/gcc-4.2.2.inc        6281a032714b397b43955b47208a1dd89efdd74b</font>
<font color="#0000FF">@@ -40,6 +40,13 @@ SRC_URI = "ftp://ftp.gnu.org/pub/gnu/gcc</font>
         file://intermask-bigendian.patch;patch=1 \
 "
 
<font color="#009900">+</font>
<font color="#009900">+SRC_URI_append_avr32 = " \</font>
<font color="#009900">+        file://gcc-4.2.2.atmel.1.0.8.patch.bz2;patch=1 \</font>
<font color="#009900">+        file://901-avr32-no-cond-exec-before-reload-by-default.patch;patch=1 \</font>
<font color="#009900">+"</font>
<font color="#009900">+</font>
<font color="#009900">+</font>
 SRC_URI_append_ep93xx = " \
         file://arm-crunch-saveregs.patch;patch=1 \
         file://arm-crunch-20000320.patch;patch=1 \
============================================================
<font color="#FF6600">--- packages/gdb/gdb-cross.inc        f22b5bdf741d9b9ce7a69086a1b6ff8dc8383420</font>
<font color="#009900">+++ packages/gdb/gdb-cross.inc        fc0d500641c93bb88bc035f650bb82fd9a102324</font>
<font color="#0000FF">@@ -10,6 +10,12 @@ do_configure () {</font>
 # override this function to avoid the autoconf/automake/aclocal/autoheader
 # calls for now
         (cd ${S} &amp;&amp; gnu-configize) || die "failure in running gnu-configize"
<font color="#009900">+</font>
<font color="#009900">+        # Fix for issues when system's texinfo version &gt;= 4.10</font>
<font color="#009900">+        # (See https://bugzilla.redhat.com/show_bug.cgi?id=345621)</font>
<font color="#009900">+        sed -i -e "s@egrep 'texinfo.*'@egrep 'texinfo[^0-9]*([1-3][0-9]|4\.[4-9]|4.[1-9][0-9]+|[5-9])'@" '${S}/configure'</font>
<font color="#009900">+</font>
<font color="#009900">+</font>
         oe_runconf
 }
 
</tt></pre>